Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xerces.validators.datatype
Class URIReferenceDatatypeValidator

    java.lang.Object
      |
      +--weblogic.apache.xerces.validators.datatype.AbstractDatatypeValidator
            |
            +--weblogic.apache.xerces.validators.datatype.URIReferenceDatatypeValidator

public class URIReferenceDatatypeValidator
extends AbstractDatatypeValidator

URIValidator validates that XML content is a W3C uri type, according to RFC 2396

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Id: URIReferenceDatatypeValidator.java,v 1.8 2000/06/23 01:26:30 jeffreyr Exp $
Author:
  Ted Leung, Jeffrey Rodriguez
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  2396, Berners-Lee, et. al. RFC 2396: Uniform Resource Identifiers (URI): Generic Syntax.. 1998 Available at: http://www.ietf.org/rfc/rfc2396.txt

Constructor Summary
`URIReferenceDatatypeValidator()`
`URIReferenceDatatypeValidator(DatatypeValidator base, java.util.Hashtable facets, boolean derivedByList)`

Method Summary
`java.lang.Object` | `clone()` Returns a copy of this object.
`int` | `compare(java.lang.String content1, java.lang.String content2)` Compares two URIReferences for equality.
`java.util.Hashtable` | `getFacets()`
`java.lang.Object` | `validate(java.lang.String content, java.lang.Object state)` Validates content to conform to a URIReference definition and to conform to the facets allowed for this datatype.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### URIReferenceDatatypeValidator

    public URIReferenceDatatypeValidator()
                                  throws InvalidDatatypeFacetException

### URIReferenceDatatypeValidator

    public URIReferenceDatatypeValidator(DatatypeValidator base,
                                         java.util.Hashtable facets,
                                         boolean derivedByList)
                                  throws InvalidDatatypeFacetException

Method Detail

### validate

    public java.lang.Object validate(java.lang.String content,
                                     java.lang.Object state)
                              throws InvalidDatatypeValueException

  Validates content to conform to a URIReference definition and to conform to the facets allowed for this datatype.

  Parameters:
    `content` -
    `state` -
  Returns:
  Throws:
    InvalidDatatypeValueException -
  Overrides:
    validate in class AbstractDatatypeValidator

### compare

    public int compare(java.lang.String content1,
                       java.lang.String content2)

  Compares two URIReferences for equality. This is not really well defined.

  Parameters:
    `content1` -
    `content2` -
  Returns:
  Overrides:
    compare in class AbstractDatatypeValidator

### getFacets

    public java.util.Hashtable getFacets()

  Returns:
    Returns a Hashtable containing the facet information for this datatype.
  Overrides:
    getFacets in class AbstractDatatypeValidator

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a copy of this object.

  Overrides:
    clone in class AbstractDatatypeValidator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD